Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 101105 - incorrect user listing reported
Summary: incorrect user listing reported
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark McLoughlin
QA Contact: Mike McLean
URL:
Whiteboard:
: 84026 (view as bug list)
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-07-29 04:25 UTC by Phil Anderson
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-05-09 04:18:28 UTC


Attachments (Terms of Use)
PreSession file (deleted)
2003-08-04 23:59 UTC, Phil Anderson
no flags Details
PostSession file (deleted)
2003-08-05 00:01 UTC, Phil Anderson
no flags Details

Description Phil Anderson 2003-07-29 04:25:16 UTC
Description of problem:
When XDMCP is enabled in gdm, and multiple users log in, it appears that only
the latest user is shown when doing a user listing with the w, who or users
command.  The output of 'last' is correct though.

How reproducible:
Always

Steps to Reproduce:
1. Enable XDMCP
2. Log in 2 users
3. type w
    
Actual results:
Only the last user to log in is shown

Expected results:
All users logged in should be shown

Comment 1 George Lebl 2003-08-04 18:54:20 UTC
Hmmm, strange, this should work.  Make sure the /etc/X11/gdm/PreSession/Default
and /etc/X11/gdm/PostSession/Default are not links to TakeConsole and
GiveConsole from the xdm tree.  For some reason the RPM treats these as config
it seems and doesn't upgrade them correctly.  Perhaps there are some .rpmnew
files there which will make it work.

Comment 2 George Lebl 2003-08-04 18:57:17 UTC
Also linking TakeConsole and GiveConsole like that is a security risk btw since
people are given /dev/console access on remote logins.  Perhaps the RPM specfile
should make sure that the gdm's own scripts are forced on update rather then
using old TakeConsole and GiveConsole links (I don't know which version of
redhat stopped doing that since the changelog in the spec file doesn't say)

Comment 3 Phil Anderson 2003-08-04 23:59:03 UTC
Created attachment 93391 [details]
PreSession file

Default RedHat 9 PreSession/Default file.  This is not a symlink.

Comment 4 Phil Anderson 2003-08-05 00:01:04 UTC
Created attachment 93392 [details]
PostSession file

Default Redhat 9 PostSession/Default file, also not a symlink.	Nothing else is
in the PreSession or PostSession directories.

Comment 5 George Lebl 2003-08-08 01:17:45 UTC
Weird.  I get correct w and last listing with the stock RH9 RPM no matter what I
do.  Is there anything else that is changed about your configuration?  I have
used stock config from redhat but just enabled XDMCP.  I have wiped the
/etc/X11/gdm directory clean before installing the RPM, so I know I have exactly
the config
from the RPM.

Comment 6 Phil Anderson 2003-08-08 01:28:12 UTC
I rebuilt the box a few weeks ago when we upgraded the server, and I didn't set
up anything special.  These are the differences from the default settings.  I
don't see how any of them should/could effect it.

Is there anything I can do to see what is going wrong?

[pza@dominic gdm]$ diff factory-gdm.conf gdm.conf
51c51
< Greeter=/usr/bin/gdmgreeter
---
> Greeter=/usr/bin/gdmlogin
108c108
< AllowRoot=true
---
> AllowRoot=false
110c110
< AllowRemoteRoot=true
---
> AllowRemoteRoot=false
133c133
< Enable=false
---
> Enable=true
217,218c217,218
< BackgroundType=0
< BackgroundImage=
---
> BackgroundType=1
> BackgroundImage=/home/system/Utils/images/dominet.bmp
223c223
< BackgroundRemoteOnlyColor=true
---
> BackgroundRemoteOnlyColor=false
276c276
< 0=Standard
---
> #0=Standard

Comment 7 Norman Gaywood 2003-08-11 04:33:18 UTC
This is the same as bug #84026

Comment 8 Phil Anderson 2003-11-18 12:12:24 UTC
Still happens with Fedora Core 1

Comment 9 Phil Anderson 2004-05-09 04:18:28 UTC
Working fine in FC2 Test 3

Comment 10 Ray Strode [halfline] 2004-11-10 20:44:51 UTC
*** Bug 84026 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.